php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #22197 "inline" functions cannot use "static" identifier
Submitted: 2003-02-12 20:03 UTC Modified: 2003-07-18 18:51 UTC
Votes:2
Avg. Score:5.0 ± 0.0
Reproduced:2 of 2 (100.0%)
Same Version:1 (50.0%)
Same OS:1 (50.0%)
From: j_vanveelen at jea dot ca Assigned: sas (profile)
Status: No Feedback Package: Compile Failure
PHP Version: 4CVS-2003-02-12 (stable) OS: UnixWare 7.1.1
Private report: No CVE-ID: None
Have you experienced this issue?
Rate the importance of this bug to you:

 [2003-02-12 20:03 UTC] j_vanveelen at jea dot ca
I did the following:
CC="cc -Xb" ./configure --with-apxs=/usr/local/apache/bin/apxs
 
which worked just fine then I did a make with the following output
        /bin/sh libtool --preserve-dup-deps --mode=compile cc -DSUPPORT_UTF8 -DL
INK_SIZE=2 -I/home/vanj/php4-STABLE-200302122230/ext/pcre/pcrelib -Iext/pcre/ -I
/home/vanj/php4-STABLE-200302122230/ext/pcre/ -DPHP_ATOM_INC -I/home/vanj/php4-S
TABLE-200302122230/include -I/home/vanj/php4-STABLE-200302122230/main -I/home/va
nj/php4-STABLE-200302122230 -I/home/vanj/php4-STABLE-200302122230/Zend -I/home/v
anj/php4-STABLE-200302122230/ext/xml/expat  -DUW=700 -DUSE_HSREGEX -DUSE_EXPAT -
I/home/vanj/php4-STABLE-200302122230/TSRM  -g  -prefer-pic -c /home/vanj/php4-ST
ABLE-200302122230/ext/pcre/php_pcre.c -o ext/pcre/php_pcre.lo
cc -DSUPPORT_UTF8 -DLINK_SIZE=2 -I/home/vanj/php4-STABLE-200302122230/ext/pcre/p
crelib -Iext/pcre/ -I/home/vanj/php4-STABLE-200302122230/ext/pcre/ -DPHP_ATOM_IN
C -I/home/vanj/php4-STABLE-200302122230/include -I/home/vanj/php4-STABLE-2003021
22230/main -I/home/vanj/php4-STABLE-200302122230 -I/home/vanj/php4-STABLE-200302
122230/Zend -I/home/vanj/php4-STABLE-200302122230/ext/xml/expat -DUW=700 -DUSE_H
SREGEX -DUSE_EXPAT -I/home/vanj/php4-STABLE-200302122230/TSRM -g -c /home/vanj/p
hp4-STABLE-200302122230/ext/pcre/php_pcre.c         -KPIC -DPIC -o ext/pcre/php_
pcre.lo
UX:acomp: ERROR: "/home/vanj/php4-STABLE-200302122230/ext/standard/php_smart_str
.h", line 103: "inline" functions cannot use "static" identifier: smart_str_prin
t_unsigned
UX:acomp: ERROR: "/home/vanj/php4-STABLE-200302122230/ext/standard/php_smart_str
.h", line 106: "inline" functions cannot use "static" identifier: smart_str_prin
t_unsigned
UX:acomp: ERROR: "/home/vanj/php4-STABLE-200302122230/ext/standard/php_smart_str
.h", line 115: "inline" functions cannot use "static" identifier: smart_str_prin
t_long
UX:acomp: ERROR: "/home/vanj/php4-STABLE-200302122230/ext/standard/php_smart_str
.h", line 116: "inline" functions cannot use "static" identifier: smart_str_appe
ndl_ex
UX:acomp: ERROR: "/home/vanj/php4-STABLE-200302122230/ext/standard/php_smart_str
.h", line 122: "inline" functions cannot use "static" identifier: smart_str_prin
t_unsigned
UX:acomp: ERROR: "/home/vanj/php4-STABLE-200302122230/ext/standard/php_smart_str
.h", line 123: "inline" functions cannot use "static" identifier: smart_str_appe
ndl_ex
UX:acomp: ERROR: "/home/vanj/php4-STABLE-200302122230/ext/standard/php_smart_str
.h", line 128: "inline" functions cannot use "static" identifier: smart_str_appe
ndl_ex
UX:acomp: ERROR: "/home/vanj/php4-STABLE-200302122230/ext/standard/php_smart_str
.h", line 140: "inline" functions cannot use "static" identifier: smart_str_setl
*** Error code 1 (bu21)
UX:make: ERROR: fatal error.

Is there something else I need to do?

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2003-02-12 21:40 UTC] sniper@php.net
does PHP 4.3.0 have the same error?

 [2003-02-13 10:50 UTC] j_vanveelen at jea dot ca
No 4.3.0 crashes before then I think.  Here's the output:

bash-2.04# make
        /bin/sh libtool --silent --mode=compile cc -Xb  -Iext/standard/ -I/home/vanj/php-4.3.0/ext/standard/ -DPHP_ATOM_INC -I/home/vanj/php-4.3.0/include -I/home/vanj/php-4.3.0/main -I/home/vanj/php-4.3.0 -I/home/vanj/php-4.3.0/Zend -I/home/vanj/php-4.3.0/ext/xml/expat  -DUW=700 -DUSE_HSREGEX -DUSE_EXPAT -I/home/vanj/php-4.3.0/TSRM  -g  -prefer-pic -c /home/vanj/php-4.3.0/ext/standard/info.c -o ext/standard/info.lo
UX:acomp: WARNING: "/home/vanj/php-4.3.0/main/php_streams.h", line 321: no macro replacement within a string literal
UX:acomp: WARNING: "/home/vanj/php-4.3.0/main/php_streams.h", line 322: no macro replacement within a string literal
UX:acomp: WARNING: "/home/vanj/php-4.3.0/ext/standard/info.c", line 198: argument #1 incompatible with prototype: php_escape_html_entities()
UX:acomp: WARNING: "/home/vanj/php-4.3.0/ext/standard/info.c", line 440: argument #3 incompatible with prototype: zend_hash_get_current_key_ex()
        /bin/sh libtool --silent --mode=compile cc -Xb -I/usr/local/apache/include -Isapi/apache/ -I/home/vanj/php-4.3.0/sapi/apache/ -DPHP_ATOM_INC -I/home/vanj/php-4.3.0/include -I/home/vanj/php-4.3.0/main -I/home/vanj/php-4.3.0 -I/home/vanj/php-4.3.0/Zend -I/home/vanj/php-4.3.0/ext/xml/expat  -DUW=700 -DUSE_HSREGEX -DUSE_EXPAT -I/home/vanj/php-4.3.0/TSRM  -g  -prefer-pic -c /home/vanj/php-4.3.0/sapi/apache/mod_php4.c -o sapi/apache/mod_php4.lo
UX:acomp: WARNING: "/home/vanj/php-4.3.0/main/php_streams.h", line 321: no macro replacement within a string literal
UX:acomp: WARNING: "/home/vanj/php-4.3.0/main/php_streams.h", line 322: no macro replacement within a string literal
UX:acomp: ERROR: "/home/vanj/php-4.3.0/sapi/apache/mod_php4.c", line 780: undefined struct/union member: shutdown
UX:acomp: ERROR: "/home/vanj/php-4.3.0/sapi/apache/mod_php4.c", line 780: function designator is not of function type
UX:acomp: ERROR: "/home/vanj/php-4.3.0/sapi/apache/mod_php4.c", line 801: undefined struct/union member: shutdown
UX:acomp: ERROR: "/home/vanj/php-4.3.0/sapi/apache/mod_php4.c", line 801: function designator is not of function type
*** Error code 1 (bu21)
UX:make: ERROR: fatal error.
 [2003-02-17 18:00 UTC] j_vanveelen at jea dot ca
see above.
 [2003-02-25 04:43 UTC] sniper@php.net
Here's a pretty good explanation why this happens:
http://archives.postgresql.org/pgsql-hackers/2002-10/msg01248.php

Assigned to Sascha who's code this is..

 [2003-02-25 12:23 UTC] j_vanveelen at jea dot ca
I managed to get 4.2.3 installed and here are my notes.

I used gcc, gnu sed instead of the native cc and sed

./configure --with-apxs=/usr/local/apache/bin/apxs 

edited libtool

vi +/deplibs_check_method libtool
change it to deplibs_check_method="pass_all"

make
make install

And it worked, but I doubt it'll work for newer versions.  And it's a pain to insist that all UnixWare admins must use gcc/gnu sed because it doesn't come installed or packaged.

Hopefully this helps for future considerations.

Thanks and keep up the great job guys! :)
 [2003-02-26 04:51 UTC] sniper@php.net
Sascha, if you don't want to fix this, please explain why?

 [2003-07-18 18:51 UTC] sniper@php.net
No feedback was provided. The bug is being suspended because
we assume that you are no longer experiencing the problem.
If this is not the case and you are able to provide the
information that was requested earlier, please do so and
change the status of the bug back to "Open". Thank you.


 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Sat Dec 04 21:03:34 2021 UTC